PUT /integrations/:id

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/integrations/:id

Update Integration by id.

Updates an existing Integration's configuration by id, such as its credentials or connection settings.

Params

Param name Description
integration_type
Optional

Integration Type

  • Must be one of: blacklist_alliance, eleven_labs, facebook_capi, facebook_leadads, google_adwords, infusionsoft, mailchimp, mailgun, pagerduty, salesforce, sendgrid, slack, snapchat_capi, tcpa_shield, typeform, zadarma, zoho_crm.

name
Optional Blank value allowed

A friendly name for this integration, shown when managing your integrations.

  • Must be a String

description
Optional Blank value allowed

A note describing what this integration is used for.

  • Must be a String

public_key
Optional Blank value allowed

The public API key issued by the connected service, used to authenticate requests to it.

  • Must be a String

secret_key
Optional Blank value allowed

The secret API key issued by the connected service, used to authenticate requests to it.

  • Must be a String

pagerduty_integration_key
Optional Blank value allowed

The integration key (routing key) from your PagerDuty service, used to send it alerts.

  • Must be a String

slack_webhook_url
Optional Blank value allowed

The incoming webhook URL from your Slack workspace, used to post messages to it.

  • Must be a String

cache_expires_in
Optional Blank value allowed

The number of seconds a lookup result from this integration is cached before it is requested again.

  • Must be a decimal number.

always_trigger
Optional Blank value allowed

When true, this integration fires for every matching event instead of only events matching its trigger fields.

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off